package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 小区封控情况对象 fkqk
 * 
 * @author ruoyi
 * @date 2022-11-28
 */
public class Fkqk extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 街道/镇名称 */
    @Excel(name = "街道/镇名称")
    private String street;

    /** 小区名称 */
    @Excel(name = "小区名称")
    private String community;

    /** 楼号单元号门牌号 */
    @Excel(name = "楼号单元号门牌号")
    private String unit;

    /** 封控时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "封控时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date fkTime;

    /** 解封时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "解封时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date jfTime;

    /** 状态（0正常 1停用） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setStreet(String street) 
    {
        this.street = street;
    }

    public String getStreet() 
    {
        return street;
    }
    public void setCommunity(String community) 
    {
        this.community = community;
    }

    public String getCommunity() 
    {
        return community;
    }
    public void setUnit(String unit) 
    {
        this.unit = unit;
    }

    public String getUnit() 
    {
        return unit;
    }
    public void setFkTime(Date fkTime) 
    {
        this.fkTime = fkTime;
    }

    public Date getFkTime() 
    {
        return fkTime;
    }
    public void setJfTime(Date jfTime) 
    {
        this.jfTime = jfTime;
    }

    public Date getJfTime() 
    {
        return jfTime;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("street", getStreet())
            .append("community", getCommunity())
            .append("unit", getUnit())
            .append("fkTime", getFkTime())
            .append("jfTime", getJfTime())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("remark", getRemark())
            .toString();
    }
}
