package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 核酸采集对象 hscj
 * 
 * @author ruoyi
 * @date 2022-11-28
 */
public class Hscj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 序号 */
    @Excel(name = "序号")
    private String xh;

    /** 市 */
    @Excel(name = "市")
    private String city;

    /** 居住地所在区 */
    @Excel(name = "居住地所在区")
    private String area;

    /** 街道/镇 */
    @Excel(name = "街道/镇")
    private String street;

    /** 小区/村名称 */
    @Excel(name = "小区/村名称")
    private String community;

    /** 采集地点 */
    @Excel(name = "采集地点")
    private String cjPlace;

    /** 采集管号 */
    @Excel(name = "采集管号")
    private String cjgh;

    /** 姓名 */
    @Excel(name = "姓名")
    private String userName;

    /** 身份证号码 */
    @Excel(name = "身份证号码")
    private String cardNo;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String phone;

    /** 性别 */
    @Excel(name = "性别")
    private String sex;

    /** 住址 */
    @Excel(name = "住址")
    private String address;

    /** 年龄 */
    @Excel(name = "年龄")
    private Long age;

    /** 类别 */
    @Excel(name = "类别")
    private String category;

    /** 采集时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "采集时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date cjTime;

    /** 采集人姓名 */
    @Excel(name = "采集人姓名")
    private String cjName;

    /** 采集人电话 */
    @Excel(name = "采集人电话")
    private String cjPhone;

    /** 标本类型 */
    @Excel(name = "标本类型")
    private String bType;

    /** 接收实验室 */
    @Excel(name = "接收实验室")
    private String laboratory;

    /** 检测时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "检测时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date jcTime;

    /** 人员关系 */
    @Excel(name = "人员关系")
    private String rygx;

    /** 箱号 */
    @Excel(name = "箱号")
    private String boxhao;

    /** 状态（0正常 1停用） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setXh(String xh) 
    {
        this.xh = xh;
    }

    public String getXh() 
    {
        return xh;
    }
    public void setCity(String city) 
    {
        this.city = city;
    }

    public String getCity() 
    {
        return city;
    }
    public void setArea(String area) 
    {
        this.area = area;
    }

    public String getArea() 
    {
        return area;
    }
    public void setStreet(String street) 
    {
        this.street = street;
    }

    public String getStreet() 
    {
        return street;
    }
    public void setCommunity(String community) 
    {
        this.community = community;
    }

    public String getCommunity() 
    {
        return community;
    }
    public void setCjPlace(String cjPlace) 
    {
        this.cjPlace = cjPlace;
    }

    public String getCjPlace() 
    {
        return cjPlace;
    }
    public void setCjgh(String cjgh) 
    {
        this.cjgh = cjgh;
    }

    public String getCjgh() 
    {
        return cjgh;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setCardNo(String cardNo) 
    {
        this.cardNo = cardNo;
    }

    public String getCardNo() 
    {
        return cardNo;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setSex(String sex) 
    {
        this.sex = sex;
    }

    public String getSex() 
    {
        return sex;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setAge(Long age) 
    {
        this.age = age;
    }

    public Long getAge() 
    {
        return age;
    }
    public void setCategory(String category) 
    {
        this.category = category;
    }

    public String getCategory() 
    {
        return category;
    }
    public void setCjTime(Date cjTime) 
    {
        this.cjTime = cjTime;
    }

    public Date getCjTime() 
    {
        return cjTime;
    }
    public void setCjName(String cjName) 
    {
        this.cjName = cjName;
    }

    public String getCjName() 
    {
        return cjName;
    }
    public void setCjPhone(String cjPhone) 
    {
        this.cjPhone = cjPhone;
    }

    public String getCjPhone() 
    {
        return cjPhone;
    }
    public void setbType(String bType) 
    {
        this.bType = bType;
    }

    public String getbType() 
    {
        return bType;
    }
    public void setLaboratory(String laboratory) 
    {
        this.laboratory = laboratory;
    }

    public String getLaboratory() 
    {
        return laboratory;
    }
    public void setJcTime(Date jcTime) 
    {
        this.jcTime = jcTime;
    }

    public Date getJcTime() 
    {
        return jcTime;
    }
    public void setRygx(String rygx) 
    {
        this.rygx = rygx;
    }

    public String getRygx() 
    {
        return rygx;
    }
    public void setBoxhao(String boxhao) 
    {
        this.boxhao = boxhao;
    }

    public String getBoxhao() 
    {
        return boxhao;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("xh", getXh())
            .append("city", getCity())
            .append("area", getArea())
            .append("street", getStreet())
            .append("community", getCommunity())
            .append("cjPlace", getCjPlace())
            .append("cjgh", getCjgh())
            .append("userName", getUserName())
            .append("cardNo", getCardNo())
            .append("phone", getPhone())
            .append("sex", getSex())
            .append("address", getAddress())
            .append("age", getAge())
            .append("category", getCategory())
            .append("cjTime", getCjTime())
            .append("cjName", getCjName())
            .append("cjPhone", getCjPhone())
            .append("bType", getbType())
            .append("laboratory", getLaboratory())
            .append("jcTime", getJcTime())
            .append("rygx", getRygx())
            .append("boxhao", getBoxhao())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
