package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 阳性人员对象 yxry
 *
 * @author ruoyi
 * @date 2022-11-28
 */
public class Yxry extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date sbDate;

    /** 流调人员 */
    @Excel(name = "流调人员")
    private String ldry;

    /** 姓名 */
    @Excel(name = "姓名")
    private String userName;

    /** 身份证号码 */
    @Excel(name = "身份证号码")
    private String cardNo;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String phone;

    /** 居住地所在区 */
    @Excel(name = "居住地所在区")
    private String area;

    /** 街道/镇 */
    @Excel(name = "街道/镇")
    private String street;

    /** 隔离状态 */
    @Excel(name = "隔离状态")
    private String isolationStatus;

    /** 是否已管控 */
    @Excel(name = "是否已管控")
    private String isControl;

    /** 小区/村名称 */
    @Excel(name = "小区/村名称")
    private String community;

    /** 楼号单元号门牌号 */
    @Excel(name = "楼号")
    private String building;

    /** 楼号单元号门牌号 */
    @Excel(name = "单元号")
    private String unit;

    /** 楼号单元号门牌号 */
    @Excel(name = "门牌号")
    private String house;

    /** 转运状态 */
    @Excel(name = "转运状态")
    private String hasAcid;

    /** 隔离位置 */
    @Excel(name = "隔离位置")
    private String glPlace;

    /** 状态（0正常 1停用） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 住址 */
    private String address;

    /** 是否重症 */
    @Excel(name = "是否重症",readConverterExp = "0=是,1=否")
    private String isYz;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setSbDate(Date sbDate)
    {
        this.sbDate = sbDate;
    }

    public Date getSbDate()
    {
        return sbDate;
    }
    public void setLdry(String ldry)
    {
        this.ldry = ldry;
    }

    public String getLdry()
    {
        return ldry;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }
    public void setCardNo(String cardNo)
    {
        this.cardNo = cardNo;
    }

    public String getCardNo()
    {
        return cardNo;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
    public void setArea(String area)
    {
        this.area = area;
    }

    public String getArea()
    {
        return area;
    }
    public void setStreet(String street)
    {
        this.street = street;
    }

    public String getStreet()
    {
        return street;
    }
    public void setIsolationStatus(String isolationStatus)
    {
        this.isolationStatus = isolationStatus;
    }

    public String getIsolationStatus()
    {
        return isolationStatus;
    }
    public void setIsControl(String isControl)
    {
        this.isControl = isControl;
    }

    public String getIsControl()
    {
        return isControl;
    }
    public void setCommunity(String community)
    {
        this.community = community;
    }

    public String getCommunity()
    {
        return community;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getUnit()
    {
        return unit;
    }
    public void setHasAcid(String hasAcid)
    {
        this.hasAcid = hasAcid;
    }

    public String getHasAcid()
    {
        return hasAcid;
    }
    public void setGlPlace(String glPlace)
    {
        this.glPlace = glPlace;
    }

    public String getGlPlace()
    {
        return glPlace;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("sbDate", getSbDate())
                .append("ldry", getLdry())
                .append("userName", getUserName())
                .append("cardNo", getCardNo())
                .append("phone", getPhone())
                .append("area", getArea())
                .append("street", getStreet())
                .append("isolationStatus", getIsolationStatus())
                .append("isControl", getIsControl())
                .append("community", getCommunity())
                .append("unit", getUnit())
                .append("hasAcid", getHasAcid())
                .append("glPlace", getGlPlace())
                .append("status", getStatus())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getBuilding() {
        return building;
    }

    public void setBuilding(String building) {
        this.building = building;
    }

    public String getHouse() {
        return house;
    }

    public void setHouse(String house) {
        this.house = house;
    }

    public String getIsYz() {
        return isYz;
    }

    public void setIsYz(String isYz) {
        this.isYz = isYz;
    }
}
